<?php
/**
 * @file
 * financial_year.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function financial_year_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'financial_year';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'eck_financial_year';
  $view->human_name = 'Financial year';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Financial year';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'editableviews_table';
  $handler->display->display_options['style_options']['columns'] = array(
    'id' => 'id',
    'title' => 'title',
    'field_financial_year' => 'field_financial_year',
    'field_open_lock_editable' => 'field_open_lock_editable',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_financial_year' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_open_lock_editable' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['relationship_creation_bundle'] = array(
    'reverse_field_financial_year_ref_financial_year_settings' => 'financial_year_settings',
  );
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_financial_year_ref_financial_year_settings']['id'] = 'reverse_field_financial_year_ref_financial_year_settings';
  $handler->display->display_options['relationships']['reverse_field_financial_year_ref_financial_year_settings']['table'] = 'eck_financial_year';
  $handler->display->display_options['relationships']['reverse_field_financial_year_ref_financial_year_settings']['field'] = 'reverse_field_financial_year_ref_financial_year_settings';
  /* Field: Financial year: Id */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = 'eck_financial_year';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  /* Field: Financial year: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'eck_financial_year';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Financial year settings: Open/Lock (editable) */
  $handler->display->display_options['fields']['field_open_lock_editable']['id'] = 'field_open_lock_editable';
  $handler->display->display_options['fields']['field_open_lock_editable']['table'] = 'field_data_field_open_lock';
  $handler->display->display_options['fields']['field_open_lock_editable']['field'] = 'field_open_lock_editable';
  $handler->display->display_options['fields']['field_open_lock_editable']['relationship'] = 'reverse_field_financial_year_ref_financial_year_settings';
  $handler->display->display_options['fields']['field_open_lock_editable']['label'] = 'Posting Locked/Open';
  $handler->display->display_options['fields']['field_open_lock_editable']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_open_lock_editable']['widget_type'] = 'options_onoff';
  $handler->display->display_options['fields']['field_open_lock_editable']['suppress_label'] = 0;
  $handler->display->display_options['fields']['field_open_lock_editable']['suppress_description'] = 0;
  /* Filter criterion: Financial year: financial_year type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'eck_financial_year';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'financial_year' => 'financial_year',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'financial-year';
  $export['financial_year'] = $view;

  return $export;
}
